Verify PIN MFA Token

Validates and verifies the 'SecondFactorValidationToken' generated by the Step-Up Authenticate By PIN API.

POST
/identity/v2/manage/account/{uid}/reauth/pin

Validates and verifies the 'SecondFactorValidationToken' generated by the Step-Up Authenticate By PIN API.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

uid*string

The UID associated with the User

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/manage/account/43e4417bd2de4a1fa82445274f864203/reauth/pin" \  -H "Content-Type: application/json" \  -d '{    "secondfactorvalidationtoken": "683987c4-9249-4165-b1f1-925f0b84021e"  }'
{
  "IsValid": true
}

{
  "ErrorCode": 965,
  "Message": "The post body is invalid",
  "Description": "Please use a valid post body and make sure that it is in a valid JSON format."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}